Package: groovy.swing.model

## [Java] Class DefaultTableColumn

- groovy.swing.model.DefaultTableColumn

-     public class DefaultTableColumn
      extends TableColumn

  Represents a column using a ValueModel to extract the value.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TableColumn` | `COLUMN_WIDTH_PROPERTY, HEADER_VALUE_PROPERTY, HEADER_RENDERER_PROPERTY, CELL_RENDERER_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultTableColumn(ValueModel valueModel)`
    `DefaultTableColumn(Object header, ValueModel valueModel)`
    `DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Class` | `getType()` Returns: the column type
    `` | `public Object` | `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
    `` | `public ValueModel` | `getValueModel()`
    `` | `public void` | `setValue(Object row, Object value, int rowIndex, int columnIndex)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TableColumn` | `removePropertyChangeListener, getWidth, getPropertyChangeListeners, getIdentifier, getHeaderValue, setWidth, setPreferredWidth, setMinWidth, setMaxWidth, getPreferredWidth, setModelIndex, getModelIndex, setIdentifier, setHeaderValue, setHeaderRenderer, getHeaderRenderer, setCellRenderer, getCellRenderer, setCellEditor, getCellEditor, getMinWidth, getMaxWidth, setResizable, getResizable, sizeWidthToFit, disableResizedPosting, enableResizedPosting, addPropertyChangeListener, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DefaultTableColumn(ValueModel valueModel)

    - #### public DefaultTableColumn(Object header, ValueModel valueModel)

    - #### public DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

  - ### Method Detail

    - #### public Class getType()

      Returns:
        the column type

    - #### public Object getValue(Object row, int rowIndex, int columnIndex)

      Evaluates the value of a cell

      Returns:
        the value
      Parameters:
        `row` - the row of interest
        `rowIndex` - the index of the row of interest
        `columnIndex` - the column of interest

    - #### public ValueModel getValueModel()

    - #### public void setValue(Object row, Object value, int rowIndex, int columnIndex)

    - #### @Override
      public String toString()